Bug 1269183 - [abrt] blueman: ShowConnected.py:53:enumerate_connections:AttributeError: 'NoneType' object has no attribute 'list_adapters'
[abrt] blueman: ShowConnected.py:53:enumerate_connections:AttributeError: 'No...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: blueman (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Orphan Owner
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:f725411a5161b33a5fdf093cf1a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-06 10:35 EDT by Brian J. Murrell
Modified: 2016-07-19 14:07 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 14:07:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (501 bytes, text/plain)
2015-10-06 10:35 EDT, Brian J. Murrell
no flags Details
File: environ (934 bytes, text/plain)
2015-10-06 10:35 EDT, Brian J. Murrell
no flags Details

  None (edit)
Description Brian J. Murrell 2015-10-06 10:35:23 EDT
Description of problem:
restarted bluetooth servcies because trying to use my bluetooth headset was blocking applications

Version-Release number of selected component:
blueman-2.0-11.fc22

Additional info:
reporter:       libreport-2.6.2
cmdline:        python /usr/bin/blueman-applet
executable:     /usr/bin/blueman-applet
kernel:         4.1.6-200.fc22.x86_64
runlevel:       N 5
type:           Python
uid:            1001

Truncated backtrace:
ShowConnected.py:53:enumerate_connections:AttributeError: 'NoneType' object has no attribute 'list_adapters'

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/blueman/plugins/applet/ShowConnected.py", line 53, in enumerate_connections
    adapters = self.Applet.Manager.list_adapters()
AttributeError: 'NoneType' object has no attribute 'list_adapters'

Local variables in innermost frame:
self: <blueman.plugins.applet.ShowConnected.ShowConnected object at 0x7f3ae401cf10>
Comment 1 Brian J. Murrell 2015-10-06 10:35:27 EDT
Created attachment 1080258 [details]
File: backtrace
Comment 2 Brian J. Murrell 2015-10-06 10:35:28 EDT
Created attachment 1080259 [details]
File: environ
Comment 3 Fedora Admin XMLRPC Client 2016-06-21 12:25:18 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora End Of Life 2016-07-19 14:07:12 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.